# build targets in Git, and export git's variables. All in *one* go.
# run as $(MAKE) -C git/ -f ../scripts/mk/gitmk-proxy.mk <git-targets>  __export __export-file=path/to/file.mk
#
# Copyright (C) 2011 Kirill Smelkov <kirr@navytux.spb.ru>


# include Git's Makefile
include Makefile


ifeq ($(V),2)
QQ	:=
else
QQ	:= @
endif

# this target exports variables
__export-vars	:= CC ALL_CFLAGS ALL_LDFLAGS LIBS X
__export-vvars	:= QUIET_CC
__export:
	$(QQ)printf '%b' '# variables exported from git/Makefile (autogenerated)\n'\
	$(foreach v,$(__export-vars),'GIT_$v	:= $(subst ','\'',$($v))\n')	\
	$(foreach v,$(__export-vvars),'GIT_$v	 = $(subst ','\'',$(value $v))\n')	\
	> $(__export-file)
